> ## Documentation Index
> Fetch the complete documentation index at: https://api-documentation.kare-app.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Logbooks

> API changes for the Logbooks module.

<Update label="2026-09-07">
  **4 API change(s) - ⚠️ includes 4 breaking change(s)**

  **`GET /rs/logbooks/v1/`**

  * for the `query` request parameter `whereCreatedBy`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereLabelIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereUnitIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`

  **`GET /rs/logbooks/v1/{id}`**

  * for the `query` request parameter `whereUnitIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
</Update>

<Update label="2026-09-01">
  **1 API change(s)**

  **`GET /rs/logbooks/v1/`**

  * added the enum value `updatedAt` to the property `items/field` of the `query` request parameter `orderBy`
</Update>

<Update label="2026-08-28">
  **4 API change(s) - ⚠️ includes 2 breaking change(s)**

  **`POST /rs/logbooks/v1/{id}/archive`**

  * api path removed without deprecation

  **`POST /rs/logbooks/v1/{id}/unarchive`**

  * api path removed without deprecation

  **`POST /rs/logbooks/v1/batch-archive`**

  * endpoint added

  **`POST /rs/logbooks/v1/batch-unarchive`**

  * endpoint added
</Update>

<Update label="2026-08-26 (#673)">
  **1 API change(s)**

  **`GET /rs/logbooks/v1/`**

  * added the new optional `query` request parameter `countOnly`
</Update>

<Update label="2026-08-26">
  **8 API change(s)**

  **`GET /rs/logbooks/v1/`**

  * added the new optional `query` request parameter `whereCreatedAt`
  * added the new optional `query` request parameter `whereCreatedBy`
  * added the new optional `query` request parameter `whereLabelIds`
  * added the new optional `query` request parameter `whereSearch`
  * added the enum value `createdBy` to the property `items/field` of the `query` request parameter `orderBy`
  * added the enum value `label` to the property `items/field` of the `query` request parameter `orderBy`
  * added the enum value `ref` to the property `items/field` of the `query` request parameter `orderBy`
  * added the enum value `title` to the property `items/field` of the `query` request parameter `orderBy`
</Update>

<Update label="2026-07-28">
  **34 API change(s) — ⚠️ includes 14 breaking change(s)**

  **`GET /rs/logbooks/v1/`**

  * removed the enum value `sites` from the property `items/` of the `query` request parameter `extend`
  * removed the required property `data/items/actions/canBeDeleted` from the response with the `200` status
  * removed the required property `data/items/updatableFields/siteIds` from the response with the `200` status
  * removed the optional property `data/items/sites` from the response with the `200` status
  * added the new optional `query` request parameter `whereEnabled`
  * added the enum value `signatures` to the property `items/` of the `query` request parameter `extend`
  * added the enum value `units` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `data/items/signatures` to the response with the `200` status
  * added the optional property `data/items/units` to the response with the `200` status
  * added the required property `data/items/actions/canBeDisabled` to the response with the `200` status
  * added the required property `data/items/actions/canBeEnabled` to the response with the `200` status
  * added the required property `data/items/enabled` to the response with the `200` status
  * added the required property `data/items/updatableFields/unitIds` to the response with the `200` status

  **`POST /rs/logbooks/v1/`**

  * added the new required request property `signature`
  * added the new required request property `unitIds`
  * removed the request property `siteIds`

  **`DELETE /rs/logbooks/v1/{id}`**

  * api removed without deprecation

  **`GET /rs/logbooks/v1/{id}`**

  * removed the enum value `sites` from the property `items/` of the `query` request parameter `extend`
  * removed the required property `actions/canBeDeleted` from the response with the `200` status
  * removed the required property `updatableFields/siteIds` from the response with the `200` status
  * removed the optional property `sites` from the response with the `200` status
  * added the enum value `signatures` to the property `items/` of the `query` request parameter `extend`
  * added the enum value `units` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `signatures` to the response with the `200` status
  * added the optional property `units` to the response with the `200` status
  * added the required property `actions/canBeDisabled` to the response with the `200` status
  * added the required property `actions/canBeEnabled` to the response with the `200` status
  * added the required property `enabled` to the response with the `200` status
  * added the required property `updatableFields/unitIds` to the response with the `200` status

  **`PATCH /rs/logbooks/v1/{id}`**

  * added the new required request property `signature`
  * removed the request property `siteIds`
  * added the new optional request property `unitIds`

  **`POST /rs/logbooks/v1/{id}/disable`**

  * endpoint added

  **`POST /rs/logbooks/v1/{id}/enable`**

  * endpoint added
</Update>

<Update label="2026-07-27">
  **9 API change(s)**

  **`GET /rs/logbooks/v1/`**

  * added the new optional `query` request parameter `whereArchived`
  * added the required property `data/items/actions/canBeArchived` to the response with the `200` status
  * added the required property `data/items/actions/canBeUnarchived` to the response with the `200` status
  * added the required property `data/items/archivedAt` to the response with the `200` status

  **`GET /rs/logbooks/v1/{id}`**

  * added the required property `actions/canBeArchived` to the response with the `200` status
  * added the required property `actions/canBeUnarchived` to the response with the `200` status
  * added the required property `archivedAt` to the response with the `200` status

  **`POST /rs/logbooks/v1/{id}/archive`**

  * endpoint added

  **`POST /rs/logbooks/v1/{id}/unarchive`**

  * endpoint added
</Update>

<Update label="2026-07-17">
  **4 API change(s) — ⚠️ includes 1 breaking change(s)**

  **`GET /rs/logbooks/v1/`**

  * deleted the `query` request parameter `whereSiteId`
  * added the new optional `query` request parameter `whereUnitIds`

  **`GET /rs/logbooks/v1/{id}`**

  * added the new optional `query` request parameter `extend`
  * added the new optional `query` request parameter `whereUnitIds`
</Update>

<Update label="2026-07-15">
  **5 API change(s)**

  **`GET /rs/logbooks/v1/`**

  * endpoint added

  **`POST /rs/logbooks/v1/`**

  * endpoint added

  **`DELETE /rs/logbooks/v1/{id}`**

  * endpoint added

  **`GET /rs/logbooks/v1/{id}`**

  * endpoint added

  **`PATCH /rs/logbooks/v1/{id}`**

  * endpoint added
</Update>
